> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset bot template secret

> Resets the secret for a given bot template.

**Required scopes:** `bots.templates:rw`


## OpenAPI

````yaml /api/configuration/v3.5/openapi.json post /action/reset_bot_template_secret
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.5
servers:
  - url: https://api.livechatinc.com/v3.5/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/reset_bot_template_secret:
    post:
      tags:
        - Bots
      summary: Reset bot template secret
      description: Resets the secret for a given bot template.
      operationId: reset-bot-template-secret
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResetBotTemplateSecretRequest'
            example:
              id: 5c9871d5372c824cbf22d860a707a578
              owner_client_id: 238ac5c3c3628210aca289c6d700d2c1
      responses:
        '200':
          description: Bot template secret reset successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResetBotSecretResponse'
              example:
                secret: 641e2ae6d997d2009a3ac92a05f37fc3
components:
  schemas:
    ResetBotTemplateSecretRequest:
      type: object
      required:
        - id
        - owner_client_id
      properties:
        id:
          type: string
          description: The bot template ID.
        owner_client_id:
          type: string
          description: >-
            The Client ID that owns the bot template. Must be owned by your
            organization.
        affect_existing_installations:
          type: boolean
          description: >-
            If set to `true`: the new secret is set for all existing bots based
            on this template.
    ResetBotSecretResponse:
      type: object
      properties:
        secret:
          type: string
          description: The new bot secret.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````